<?php
namespace Teknisa\COZ\Controllers;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource;

class EquipamentoController extends \Teknisa\GER\Controllers\TeknisaCrud {
    
    protected $crudService;
    protected $parameterBag;
    protected $dataSourceName;
    protected $util;
    
    public function __construct(\Teknisa\GER\Services\CrudService $crudService, $parameterBag, $util) {
        $this->crudService = $crudService;
        $this->parameterBag = $parameterBag;
        $this->util = $util;
    }
    
    public function salvaPratoPorEquipamento(DTO\Request\DataSet $request, DTO\Response $response){
       try {
            $this->dataSourceName = "equipratocoz";
            $row = $request->getDataSet()->getRows();
            
            foreach ($row as $data){
                if ($data["__is_new"]) {
                    $this->util->validateDuplicatedRecords($data, $this->dataSourceName, array("CDPRATO", "NREQUIPAMENTO", "CDFILAUXPRAT"));
                }
            }
            
            parent::save($request, $response);
            $response->addDataset(new DataSource\DataSet('RETORNO', array(true)));
        } catch (\Exception $e) {
            $response->addDataset(new DataSource\DataSet('RETORNO', array(false)));
        }
    }
    
}