<?php
namespace Teknisa\COZ\Services;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DB\StoredProcedure\Param;
use Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;
use Teknisa\COZ\Services\ControllerWrapper;

class Coz07020Repository {
    protected $connection;
    protected $entityManager;
    public    $environment;
    
    public function __construct($connection, $entityManager, $environment){
         $this->connection = $connection;
         $this->entityManager = $entityManager;
         $this->environment = $environment;
    }
    
    public function callProcedureCalculaEtiqueta($param){
        $nrorg = $param['NRORG'];
        $nrplanprod = $param['NRPLANPROD'];
        $cdcentral = $param['CDCENTRAL'];
        
        $connection = $this->entityManager->getConnection();
        $procedure = new StoredProcedure($connection,'CALCULA_ETIQUETA');
        
        $procedure->addParam(
            new Param ('P_NRPLANPROD', Param::PARAM_INPUT, $nrplanprod, Param::PARAM_TYPE_STR)
        );
        $procedure->addParam(
            new Param ('P_CDCENTRAL', Param::PARAM_INPUT, $cdcentral, Param::PARAM_TYPE_STR)
        );
        $procedure->addParam(
            new Param ('P_NRORG', Param::PARAM_INPUT, $nrorg, Param::PARAM_TYPE_STR)
        );
        $procedure->addParam(
            new Param ('P_RETORNO', Param::PARAM_OUTPUT, NULL, Param::PARAM_TYPE_STR, 400)
        );
       
        return $procedure->execute();
    }
}