<?php
namespace Teknisa\COZ\Services;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource\FilterCriteria;
use Zeedhi\Framework\DataSource\DataSet;
use Teknisa\COZ\Services\ControllerWrapper;

class Pla08200RemoteRepository{
	protected $filiaisagregadas;
	protected $grupserv;
	protected $servico_por_filiais;

    public function __construct($filiaisagregadas, $grupserv, $servico_por_filiais) {
    	$this->filiaisagregadas = $filiaisagregadas;
        $this->grupserv = $grupserv;
        $this->servico_por_filiais = $servico_por_filiais;
    }

    public function fetchFiliais($params) {
        $filterCriteria = new FilterCriteria("filiaisagregadas", $params);
        $rows = ControllerWrapper::fetchFromController($this->filiaisagregadas, $filterCriteria);
        return array_column($rows, "CDFILIAL");
    }

    public function fetchGrupserv() {
        $emptyFilter = new FilterCriteria("", array());
        $rows = ControllerWrapper::fetchFromController($this->grupserv, $emptyFilter);
        return array_column($rows, "CDGRUPSERV");
    }

    public function fetchServicos($params) {
        $filterCriteria = new FilterCriteria("servico_por_filiais", $params);
        $rows = ControllerWrapper::fetchFromController($this->servico_por_filiais, $filterCriteria);
        return array_column($rows, 'FILISERV');
    }
}